Wallet

How to use Wallet to submit a payout in Nepal.

Submit a payout by Wallet in Nepal.

POST https://sandbox.transfersmile.com/api/payout

This endpoint allows you to submit a payout by Wallet in Nepal.

Headers

Name
Type
Description

Content-Type*

String

application/json; charset=UTF-8

AppId*

String

Your App ID in payout platform.

Authorization*

String

SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

name*

String

Beneficiary's name - Length must between 5 and 100 -

region*

String

Beneficiary region - Max 50 char. -

bank_code*

String

Bank code, see bank list​ - Support Type: Wallet -

account*

String

Account

- Max 50 digits -

country*

String

Fix value: NPL, for Nepal

method*

String

Fixed value: WALLET

channel*

String

Fixed value: IME

additional_remark*

String

The descriptor on the user's bank bill

- Max. 40 chars -

notify_url*

String

Where pagsmile will send notifications to.

arrival_currency*

String

Fixed value: NPR

source_currency*

String

Merchant Account Currency

- One of: USD, EUR, GBP, NPR -

amount_type

String

Specify the amount value is fixed for merchant or beneficiary

- One of: source_amount, arrival_amount(default) -

amount*

String

Payout Amount, 2 decimal numbers

- check here -

fee_bear*

String

All fees charge to merchant or beneficiary - One of: merchant, beneficiary -

custom_code*

String

Merchant Payout ID

- Max. 50 chars -

Example

Note: 94FAC*********************68548 is Pagsmile's test App ID for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is the authorization token associated with the test App ID.

Last updated